.modal {
    position: fixed;
    display: flex;
    align-items: center;/*x*/
    justify-content: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.521);
    animation: fadeIn 350ms both;
}

.modal-wrapper {
    overflow: auto;  /*pour faire apparaitre la scroll bar*/
    width: 50vw;
    min-height: 50vh;
    padding: 2em;
    max-width: calc(100vw);
    max-height: calc(100vh);
    background-color: floralwhite;
    animation: slideFromTop 350ms both;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}



.modal-wrapper form {
    display: flex;
    flex-flow: column;
    width: 100%;
    height: auto;
}

textarea {
    padding: 10px;
    max-width: 100%;
    line-height: 1.5;
    border-radius: 5px;
    border: 1px solid #ccc;
    box-shadow: 1px 1px 1px #999;
}



/* POPUP NEW OWNER */
#new_owner_board div.content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 0.2em;
    text-align: center;
}

#new_owner_board div.content span {
    text-transform: uppercase;
    cursor: pointer;
    padding: 0 0.2em;
}

/* -- POPUP NEW OWNER --  */



.modal #modal-title {
    font-weight: 900;
    text-transform: uppercase;
    font-size: 1.5em;
    color: black;
    padding-bottom: 3em;
}


.modal[aria-hidden="true"]{
    animation-name: fadeOut;
    /* animation-direction: reverse;
    a voir à 36minutes du tuto */

}

.modal[aria-hidden="true"] .modal-wrapper{
    animation-name: slideToBottom;

}

/***********animations fen modale***********/

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity : 1; }
}

@keyframes fadeOut {
    from { opacity: 1; }
    to { opacity : 0; }
}

@keyframes slideFromTop {
    from { transform: translateY(-80px)}
    to { transform: translateY(0px)}
}

@keyframes slideToBottom {
    from { transform: translateY(0px)}
    to { transform: translateY(-80px)}
}


/*Bouton fermer*/
.js-modal-close {
    position: absolute;
    background-color: unset;
    left: 93%;
    top: 2%;
    cursor: pointer;
}


@media screen and (max-width : 1224px) {
    .modal-wrapper {
        min-width: 80vw;
    }

}